var $AdfDhtmlColumnPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlColumnPeer", !1);
$goog$exportSymbol$$("AdfDhtmlColumnPeer", $AdfDhtmlColumnPeer$$);
$AdfDhtmlColumnPeer$$.$InitSubclass$ = function $$AdfDhtmlColumnPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addSuppressedPPRAttributes$(this, AdfRichColumn.WIDTH, AdfRichColumn.MINIMUM_WIDTH, AdfRichColumn.SELECTED);
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichColumn.WIDTH, AdfRichColumn.SHOW_REQUIRED);
  $AdfRichUIPeer$$.$addComponentPropertyGetters$(this, AdfRichColumn.DISPLAY_INDEX);
  $AdfObject$$.$ensureClassInitialization$($AdfDhtmlTableBasePeer$$);
};
$goog$exportSymbol$$("AdfDhtmlColumnPeer.InitSubclass", $AdfDhtmlColumnPeer$$.$InitSubclass$);
$AdfDhtmlColumnPeer$$.prototype.Init = function $$AdfDhtmlColumnPeer$$$$Init$($component$$932$$, $domElement$$123$$) {
  $AdfDhtmlColumnPeer$$.$superclass$.Init.call(this, $component$$932$$, $domElement$$123$$);
  "undefined" != typeof window.AdfColumnDragSource && ($component$$932$$.$setDragSource$(new $AdfColumnDragSource$$), $component$$932$$.$setDropTarget$(new $AdfColumnDropTarget$$));
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlColumnPeer.prototype.Init", {Init:$AdfDhtmlColumnPeer$$.prototype.Init});
$AdfDhtmlColumnPeer$$.prototype.$GetComponentDisplayIndex$ = function $$AdfDhtmlColumnPeer$$$$$GetComponentDisplayIndex$$($component$$933$$, $domElement$$124$$) {
  return $AdfAgent$$.$AGENT$.$getIntAttribute$($domElement$$124$$, "_d_index", -1);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlColumnPeer.prototype.GetComponentDisplayIndex", {$GetComponentDisplayIndex$:$AdfDhtmlColumnPeer$$.prototype.$GetComponentDisplayIndex$});
$AdfDhtmlColumnPeer$$.prototype.$ComponentWidthChanged$ = function $$AdfDhtmlColumnPeer$$$$$ComponentWidthChanged$$($component$$934$$, $domElement$$125_parent$$22$$, $newValue$$52$$, $oldValue$$30$$) {
  for ($domElement$$125_parent$$22$$ = $component$$934$$.getParent();$domElement$$125_parent$$22$$ && !($domElement$$125_parent$$22$$ instanceof AdfUICollection);) {
    $domElement$$125_parent$$22$$ = $domElement$$125_parent$$22$$.getParent();
  }
  null != $domElement$$125_parent$$22$$ && $domElement$$125_parent$$22$$.$getPeer$().$resizeColumn$($component$$934$$, $newValue$$52$$, $oldValue$$30$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlColumnPeer.prototype.ComponentWidthChanged", {$ComponentWidthChanged$:$AdfDhtmlColumnPeer$$.prototype.$ComponentWidthChanged$});
$AdfDhtmlColumnPeer$$.prototype.$ScrollIntoView$ = function $$AdfDhtmlColumnPeer$$$$$ScrollIntoView$$($component$$935_parent$$23$$, $focus$$5$$, $subTargetId$$5$$) {
  for ($component$$935_parent$$23$$ = $component$$935_parent$$23$$.getParent();$component$$935_parent$$23$$ && !($component$$935_parent$$23$$ instanceof AdfUICollection);) {
    $component$$935_parent$$23$$ = $component$$935_parent$$23$$.getParent();
  }
  null != $component$$935_parent$$23$$ && $component$$935_parent$$23$$.$getPeer$().$scrollColumnIntoView$(null, this.$getDomElement$());
  null != $subTargetId$$5$$ && $AdfLogger$$.$LOGGER$.warning("subTargetId not supported for column ScrollIntoView");
  $focus$$5$$ && $AdfLogger$$.$LOGGER$.warning("Focus not supported for column ScrollIntoView");
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlColumnPeer.prototype.ScrollIntoView", {$ScrollIntoView$:$AdfDhtmlColumnPeer$$.prototype.$ScrollIntoView$});
